Questions tagged [software-installation]

Installing software on a running system, either as binaries or from source. This is usually done using your system's package manager.

Filter by
Sorted by
Tagged with
1
vote
0answers
63 views

How to install firmware-mod-kit on Debian

how to install firmware-mod-kit on Debian 8 jessie? The package doesn't contain any INSTALL or MAKE file. Or FMK source just need to be extracted in some folder, # tar -xzvf fmk_099.tar.gz # cd fmk ...
0
votes
1answer
27 views

Can I install a software on a Standard account in fedora without adding to Sudoer file or changing account type to admin?

I am working on Fedora 29 (64bit) and our company has a secure browser software where we provide standardized testing to millions of students across the USA. Right now we are stuck in a situation. ...
0
votes
1answer
18 views

Installing package with service account

I need to install a software called nominatim on ubuntu. Following the install instruction, I created a service account user with a specified home directory at /srv/nominatim. I know service account ...
0
votes
0answers
25 views

DISPLAY Variable Set but getting Fatal Error when installing

Display Variable Set, Xclock is opening.. but when installing i am getting below issue, oracle@training ODI]$ pwd /u01/app/oracle/ODI [oracle@training ODI]$ export DISPLAY=:0 [oracle@training ODI]$ ...
0
votes
1answer
50 views

Centos 7 how to install php7.3 from official sources?

I am coming from the debian world and I struggle for a while now understand Centos and to install php7.3 on Centos 7. Tutorials like this https://tecadmin.net/install-php7-on-centos7/ tell me to ...
1
vote
0answers
27 views

Folders and files permissions for SDKMAN tool on Ubuntu

I am Java developer trying to set up my local CI server using Linux Mint. One of the crucial tools I would like to use is SDKMAN - the tool that allowes easy installation and management of different ...
0
votes
0answers
46 views

Download specific Kodi version on Raspbian

I have installed minimal Raspbian on my Rpi 3. On top of that, I installed Kodi. So far so good. However, the add-on I want to use does not deal very well with Kodi 18 so I would like to install the ...
1
vote
1answer
78 views

problem with apt upgrade when install MySQL in Ubuntu 19.4

i trying to install mysql in ubuntu 19.4 but i can't upgrade with sudo apt upgrade this is the output ; astrix@astrix:~/Downloads$ sudo apt upgrade Reading package lists... Done Building ...
0
votes
1answer
15 views

How install Phpmyadmin on linux lite (ubuntu based)?

I tried: sudo apt-get install phpmyadmin Didn't work -- it doesn't find the package. What repository do I need? I added: ppa:ondrej/php I searched on "synaptic package manager" too, and nothing!
0
votes
1answer
54 views

How to setup shadowsocks client on centos 6.6?

shadowsocks is working well on my mac. I have tried a lot of tutorials to setup shadowsocks client on centos 6.6 in vm fusion, none of them work. sudo yum install epel-release sudo yum -y install ...
1
vote
1answer
134 views

“apt install ./file.deb” vs “apt install /path/to/file.deb”

I was looking to install a .deb file and found an answer here: How to install a deb file, by dpkg -i or by apt? I just want to know the difference between using: sudo apt install ./name.deb and ...
0
votes
0answers
39 views

Installing “software centre” on Kali [duplicate]

I'm trying to install some software on Kali 2019.1 (VMware Workstation 12) following instructions here, but nothing is working. I've downloaded the ISO from the official Kali website. Attempting to ...
0
votes
2answers
84 views

You are missing the following 32-bit libraries, and Steam may not run: libc.so.6 [SLACKWARE] ERROR

I am trying to run steam. I installed the StackBuild from the slackbuild websites, ran ./program and installpkg in su. I try clicking the icon and I receive: ''' You are missing the following 32-bit ...
2
votes
1answer
137 views

Atom Editor not found,Ubuntu 18.04

I went to check the official repo curl -s https://packagecloud.io/install/repositories/AtomEditor/atom/script.deb.sh | sudo bash Detected operating system as Ubuntu/bionic. Checking for curl... ...
0
votes
1answer
55 views

Unable to install mono on Fedora 29

I followed the instructions found at mono-project.com, I successfully installed mono-devel but when I try to install mono-complete by running sudo dnf install mono-complete it just says: Error: ...
0
votes
1answer
139 views

What libraries are needed to install Python 3.7 on Ubuntu 18.04

When trying to install python 3.7 on Ubuntu 18.04 I get error messages like: zipimport.ZipImportError: can't decompress data; zlib not available or ModuleNotFoundError: No module named '...
1
vote
1answer
46 views

Installing pandoc from backports on Debian stretch

I followed the instructions at https://backports.debian.org/Instructions/ But when trying to get a newer version of pandoc with apt-get -t stretch-backports install 'pandoc', I just get: pandoc is ...
0
votes
0answers
35 views

Install rt-test(cyclictest) and meet some problems?

I want to measure the real-time performance of a old customized RedHat Linux (RTOS) with the rt-test tool suite, and the RT RedHat Linux is not registered with RHN, so I can not install the rt-test ...
-1
votes
1answer
21 views

Can I install binary only drivers in Gentoo Linux?

I am considering Gentoo Linux as a possible candidate for my system. The only doubt I have at this point is about binary tools. Being Gentoo a source based distribution to be built from scratch, can ...
0
votes
2answers
72 views

Debian 8 - Can't install Git [duplicate]

I'm trying to install Git using the following commands: sudo apt-get install git-core and sudo apt-get install git Both don't seem to work. It seems that it can't find some packages. This is the ...
0
votes
0answers
40 views

Can't install dev-util/meson-0.49.2::gentoo, with emerge, can't install any other package from the list

I am installing gentoo and now I am installing the packages with: (chroot)ubuntu /boot # emerge --ask --newuse --deep --verbose sys-boot/grub:2 os- prober and dev-util/meson-0.49.2::gentoo ...
0
votes
0answers
33 views

Where should an FHS-compliant program ideally place all its files?

After reading the FHS, I have concluded on the following table: +----------------+-------------------+---------------------------------+-----------------------+ | Part | Sofware in /opt | ...
1
vote
1answer
35 views

Install UniversalMediaServer on Linux Mint 19.1 [closed]

How do I install UniversalMediaServer on Mint? The instructions are somewhat unspecific and long not tested, do I have to take care of certain specialties on Mint? Or should I use the instructions ...
-1
votes
1answer
100 views

Problems While Installing Git in RHEL 7.6

I am trying to install git and I get the following error though I have a valid subscription of the RHEL Client 7.6. No package git available. Error: Nothing to do I ran the following commands: [...
-2
votes
1answer
24 views

Woes installing PIL

I get this error when I try to run my program. Traceback (most recent call last): File "green.py", line 11, in from PIL import Image ImportError: No module named PIL I already tried "pip ...
-5
votes
1answer
201 views

How install program shodan

I have Kali Linux and I want to install shodan, but it gives me an error message: $ easy_install shodan -bash: easy_install: command not found Can you tell me what can I do ?
0
votes
0answers
81 views

Ubuntu upgrade hangs on linux-header

Running Ubuntu 16.04, Lenovo Legion Y720, i7 gen7, nvidia gtx 1060 (nvidia binary driver 415.27). Was doing normal update and uprgade (sudo apt-get update, sudo apt-get upgrade) when I saw that six ...
1
vote
0answers
36 views

Compiling a program from a source in GuixSD

I installed GuixSD and was looking for a way to install mega.nz syncing program. Perheaps the only way is to do it from a source. I found some info of it on Github: https://github.com/meganz/...
0
votes
0answers
32 views

Installing Xcompmgr without sudo, admin, or root acess

So basically I need to install and run this thing called Xcompmgr (https://wiki.archlinux.org/index.php/xcompmgr) for my program. However as stated in the title I don't have access to certain commands ...
2
votes
1answer
89 views

Installing Midnight Commander without root user access

I got a RedHat system access with non-root non-sudo rights account. I want to install Midnight Commander (mc) but yum requires root privileges. How can I install mc to my local home without rebuilding ...
4
votes
1answer
63 views

Virtualbox: install a x64 Windows OS from Ubuntu?

I was thinking about making a Virtual Machine, but the description of VirtualBox from the Software installer say: VirtualBox is a free x86 virtualization solution allowing a wide range of x86 ...
0
votes
1answer
346 views

Error when installing docker on Debian 9 stretch: repository … does not have a Release file

When trying to install docker on Debian 9.8 I get the following error message when running sudo apt update or sudo apt-get update: E: The repository 'cdrom://[Debian GNU/Linux 9.8.0 Stretch - ...
0
votes
0answers
58 views

Local Python Repository Packet Installation

I have a rhel server which I use as yum repository for my other servers. Now I need it to serve python packages as well. I found an anaconda repository to download packages: https://repo.continuum.io/...
1
vote
1answer
117 views

Error Installing Emacs25 Package on Ubuntu 16.04

I am trying to install Emacs25 package on Ubuntu 16.04 alongside Emacs 24 and Emacs-snapshot (currently Emacs 27.0.50). I ran the following commands sudo add-apt-repository ppa:kelleyk/emacs sudo ...
7
votes
2answers
705 views

Installing PowerShell on 32-bit Kali OS fails

I am having some issues installing PowerShell on my 32-bit Kali Linux PC.  I followed this guide and started with: apt update && apt -y install curl gnupg apt-transport-https Next, I ...
2
votes
1answer
65 views

Unable to locate package spice-vdagent in debian

I am running a live debian as a guest OS in VMM. $ sudo apt install spice-vdagent ... E: unable to locate package spice-vdagent Do I need to add some repository first? The repository configuration ...
0
votes
1answer
44 views

How to install PySide as a non-root in Linux?

I want to compile a python programm (GetDistGUI.py) in Linux (CentOs) and whenever I type: chmod a+x GetDistGUI.py python GetDistGUI.py I get the following error, from PySide.QtCore import QRegExp ...
1
vote
1answer
506 views

E: unable to locate package airmon-ng [closed]

I've been using chromebook with Chrome OS and I installed Ubuntu with this tutorial ( https://lifehacker.com/how-to-install-linux-on-a-chromebook-and-unlock-its-ful-509039343 ), and now when I want ...
0
votes
2answers
81 views

How to install fish in a remote server I cannot sudo?

I want to install the fish shell in a remote server I have no sudo privileges at, so that I can use it whenever I ssh.
2
votes
2answers
56 views

installing old 32-bit software on latest UBUNTU

I'm trying to install legacy software (32-bit) on a 64-bit LINUX HPC cluster. This is quite old software from 2005. Software is at https://www.drive5.com/pals/ OS details are PRETTY_NAME="Ubuntu 18....
4
votes
2answers
103 views

What is the best next step when faced with curl <url> | sh

Most installation scripts these days have this particular pattern: curl -fsSL <url> | sh --- and usually run as root Some sites might even have a disclaimer about running this as root and to ...
1
vote
2answers
98 views

install smcroute in Linux

How do I install smcroute in Ubuntu 16.04? If I try to install using apt-get, I am not finding the commands "smcrouted" and "smcroutectl" in bash. Also, the GitHub page asks to configure the kernel to ...
0
votes
1answer
38 views

Not able to install new package

I have just installed kubuntu and as soon as I try to install new package it always show this message : Media change: please insert the disc labeled 'Kubuntu 18.04.1 LTS Bionic Beaver - Release ...
1
vote
0answers
218 views

Add openjfx class path in debian for Java11

Distribution is Kali Linux Java11 is installed: java -version openjdk version "11.0.2" 2019-01-15 OpenJDK Runtime Environment (build 11.0.2+9-Debian-3) OpenJDK 64-Bit Server VM (build 11.0.2+9-Debian-...
0
votes
1answer
104 views

How do I make PKGBUILD to install to fake root before makepkg builds

I have a tree which I need to install with a foder named /usr. This folder exists in src folder. Now I need to write a function in PKGBUILD that installs to the fakeroot before the *.pkg.tar.gz is ...
0
votes
0answers
10 views

How to install Linuxbrew into a user defined folder

Llinuxbrew installation install the package on the home folder. For some reason I need to install Linuxbrew into a different folder. At the moment, I installed it and moved the whole folder into a ...
2
votes
1answer
774 views

kubuntu-desktop on Linux Mint 19.1 `software-properties-kde` issue

I have an issue upon installing kubuntu-desktop package, the problem is that I can't install package software-properties-kde which depends another package called python3-software-properties where ...
0
votes
0answers
44 views

Error installing Ninja-IDE for Python as .DEB package

I am unsuccessfully trying to install Ninja-IDE (a lightweight Python IDE) using the .DEB file which I downloaded from their website: http://www.ninja-ide.org/downloads/. It seems that a dependent ...
0
votes
1answer
62 views

Install PAM(Pluggable Authentication Modules) in Slackware 14.2

PAM (Pluggable Authentication Modules) is a service that implements modular authentication modules. PAM is implemented as a set of shared objects that are loaded and executed when a program needs to ...
0
votes
0answers
137 views

Fedora 29 VirtualBox possible conflict

I did a complete re-install (not upgrade) to Fedora 29 in November 2018. At that time, a Fedora-29-compatible version of VirtualBox was not yet ready. Discussed below the ========= line in this ...